Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80262 - Download file size limit of 2GB
Summary: Download file size limit of 2GB
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: httpd
Version: 9
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-23 15:53 UTC by John Ciancarelli
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-04-18 08:35:59 UTC


Attachments (Terms of Use)

Description John Ciancarelli 2002-12-23 15:53:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.2; .NET CLR 
1.0.3705)

Description of problem:
Bad: I get an access denied message when I try to download a file that is 
larger than 2GB through Apache.  The file type of the file I was trying to 
download is .gz.

In the apache log, I get an error message (75) Value is too large for defined 
datatype.  Access to %filename% failed.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Create a file larger than 2GB
2.Place it in a directory that apache publishes
3. Try to download the file
    

Actual Results:  I get an error message in my web browser that says access 
denied.

Expected Results:  I should have received a dialog box asking where to save the 
file.

Additional info:

Comment 1 Joe Orton 2004-04-18 08:35:59 UTC
This has been fixed upstream for a future httpd 2.2 release.


Note You need to log in before you can comment on or make changes to this bug.